# imageio.v2.imwrite

imageio.v2.imwrite(uri, im, format=None, **kwargs)

  Write an image to the specified file.

  Parameters:
    uri{str, pathlib.Path, file}

      The resource to write the image to, e.g. a filename, pathlib.Path or file object, see the docs for more info.

    im numpy.ndarray

      The image data. Must be NxM, NxMx3 or NxMx4.

    format str

      The format to use to write the file. By default imageio selects the appropriate for you based on the filename and its contents.

    kwargs…

      Further keyword arguments are passed to the writer. See `help()` to see what arguments are available for a particular format.

previous

imageio.v2.mvolread

next

imageio.v2.mimwrite